begin;

DROP TABLE IF EXISTS `shop`;
/*!40101 SET @saved_cs_client     = @@character_set_client*/;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shop` (
  `idx` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `accountid` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `coin_id` int(11) NOT NULL DEFAULT '0' COMMENT '金币商店物品id',
  `coin_discount` int(11) NOT NULL DEFAULT '0' COMMENT '金币商店折扣',
  `diamond_id` int(11) NOT NULL DEFAULT '0' COMMENT '钻石商店物品id',
  `diamond_discount` int(11) NOT NULL DEFAULT '0' COMMENT '钻石商店折扣',
  `create_time`   int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modify_time`   int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `accountid` (`accountid`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

insert into version (version) values(20200409);

commit;
